package com.chenyang.druid.sql.dialect.oracle.ast.stmt;

import com.chenyang.druid.sql.ast.SQLName;
import com.chenyang.druid.sql.ast.statement.SQLConstraint;
import com.chenyang.druid.sql.ast.statement.SQLTableElement;
import com.chenyang.druid.sql.dialect.oracle.ast.OracleSQLObject;

public interface OracleConstraint extends OracleSQLObject, SQLConstraint, SQLTableElement {
   SQLName getExceptionsInto();

   void setExceptionsInto(SQLName var1);

   Boolean getDeferrable();

   void setDeferrable(Boolean var1);

   Boolean getEnable();

   void setEnable(Boolean var1);

   Boolean getValidate();

   void setValidate(Boolean var1);

   Initially getInitially();

   void setInitially(Initially var1);

   OracleUsingIndexClause getUsing();

   void setUsing(OracleUsingIndexClause var1);

   OracleConstraint clone();

   public static enum Initially {
      DEFERRED,
      IMMEDIATE;
   }
}
